% This is the Matlab Script to generate the plot as the direct curve or
% manhanton plot of the p values of Main Effects.
% The author can make it a slight change to generate their own plot. 
% Author: Wenchao Zhang, Noble Research Institute
clear all;
close all;
clc;

Pvalue_Main_File  = 'C:\Users\PATOWAS_Support_Scripts\Example_PS_Main.txt';
Pvalue_Main_Table  = readtable(Pvalue_Main_File); 
Pvalue_Main_Data   = table2array(Pvalue_Main_Table);
figure(1); 
% Direct plot the curve 
plot(Pvalue_Main_Data(:,1), -log10(Pvalue_Main_Data(:,2)));
ylabel('-log10(P)');
xlabel('SNP#');
title('Curve Plot of the Main Effect');

% 12 chroms. chr1: 1-217; chr2: 218-356; chr3:357-548; chr4:549-688; 
% chr5:689-818; chr6:819-967; chr7:968-1058; chr8:1059-1176; chr9:1177-1292;
% chr10:1293-1390; chr11:1391-1540; chr12:1541-1619
figure(2);
chr_arry =[ 217, 356, 548, 688, 818, 967, 1058, 1176, 1292, 1390, 1540, 1619 ];
%Manhanton Plot
color_arry =['b', 'c', 'r', 'g', 'm','y', 'k', 'b', 'c', 'r', 'b','y' ];
pos_start =1;
for i=1:12
pos_end = chr_arry(i);  
index= pos_start: pos_end; 
    scatter(index,-log10(Pvalue_Main_Data(index,2)), 25,color_arry(i), 'filled' );
pos_start = pos_end+1;
hold on;
end 
ylabel('-log10(P)');
xlabel('SNP#');
title('Manhanton Plot of the Main Effect');